### Virtual Method

# Meta Plugin switch_workspace

#### Declaration [src]

    void
    switch_workspace (
      MetaPlugin* plugin,
      gint from,
      gint to,
      MetaMotionDirection direction
    )

#### Description [src]

Virtual function called when the window represented by `actor` is destroyed.

#### Parameters

`from`

  Type: `gint`

  Origin workspace.

`to`

  Type: `gint`

  Destination workspace.

`direction`

  Type: `MetaMotionDirection`

  A `MetaMotionDirection`.